Subject: [Unbearable] Token Binding test server and test page?

From: =JeffH <[email-masked]>
Date: Wed, 15 Feb 2017 17:00:40 -0800

In 
<https://www.ietf.org/mail-archive/web/unbearable/current/msg01125.html> 
Bill Cox <waywardgeek at google.com> replied:
 > john bradley <ve7jtb at ve7jtb.com> asked:
 >> Do you have any test page that would show if the cookies are
 >> successfully token bound ?
 >
 > I don't think we've built such a page yet.  Would it be useful?

Yes, please :)

..and have it show the received STB, a decoded and parsed TBMsg, and 
bound cookies if any.

In 
<https://www.ietf.org/mail-archive/web/unbearable/current/msg00560.html> 
John Bradley noted:
 > Currently if you are brave, there is a Python test server
 > as part of the Chromium project on Github for testing.
 > https://github.com/chromium/chromium

Are there any more detailed pointers to where the said python test 
server resides? and does one still need to build the entire project? Any 
more detailed instructions for that specific item?

thanks,

=JeffH

---

From: Nick Harper <[email-masked]>
Date: Wed, 15 Feb 2017 17:56:30 -0800

On Wed, Feb 15, 2017 at 5:00 PM, =JeffH <[email-masked]>
wrote:

> In <https://www.ietf.org/mail-archive/web/unbearable/current/msg01125.html>
> ..and have it show the received STB, a decoded and parsed TBMsg, and bound
> cookies if any.
>
>
> In <https://www.ietf.org/mail-archive/web/unbearable/current/msg00560.html>
> John Bradley noted:
> Are there any more detailed pointers to where the said python test server
> resides? and does one still need to build the entire project? Any more
> detailed instructions for that specific item?
>
> The python test server is in //net/tools/testserver/testserver.py. If you
run it as "python net/tools/testserver/testserver.py --https port=8443
--token-binding-params=2" and connect to https://localhost:8443/tokbind-ekm,
it will return a body with content-type application/octet-stream containing
the token binding ekm value. You shouldn't need to build the entire
project, but you do need more than just the checkout of the chromium git
repo. I think that if you follow the instructions on https://chromium.
googlesource.com/chromium/src/+/master/docs/get_the_code.md for your
platform through the "Get the code" step (but not "Setting up the build"),
it should checkout the dependencies needed to run the python server.

>
> thanks,
>
> =JeffH
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> _______________________________________________
> Unbearable mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/unbearable
>